Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZ\Publish\Core\FieldType\Image\Value Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\Image\Value:

## Public Member Functions
| __construct (array $imageData=[])
| Construct a new Value object. More...
| isAlternativeTextEmpty ()
| getFileSize ()
| Returns the image file size in byte. More...
| __toString ()
| __get ($propertyName)
| Magic get function handling read to non public properties. More...
| __set ($propertyName, $propertyValue)
| Magic set function handling writes to non public properties. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Static Public Member Functions
static | fromString ($path)
| Creates a value only from a file path. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...

## Public Attributes
| $id
| $alternativeText
| $fileName
| $fileSize
| $uri
| $imageId
| $inputUri
| $width
| $height

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 22 of file Core/FieldType/Image/Value.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\Image\Value::__construct | ( | array | $imageData = `[]` | ) |

Construct a new Value object.

Parameters

  array | $imageData |

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 98 of file Core/FieldType/Image/Value.php.

## Member Function Documentation

## ◆ __get()

eZ\Publish\Core\FieldType\Image\Value::__get | ( |  | $property | ) |

Magic get function handling read to non public properties.

Returns value for all readonly (protected) properties.

@ignore This method is for internal use

Exceptions

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 166 of file Core/FieldType/Image/Value.php.

## ◆ __set()

eZ\Publish\Core\FieldType\Image\Value::__set | ( |  | $property,
|  |  | $value
| ) |  |

Magic set function handling writes to non public properties.

@ignore This method is for internal use

Exceptions

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 175 of file Core/FieldType/Image/Value.php.

## ◆ __toString()

eZ\Publish\Core\FieldType\Image\Value::__toString | ( |  | ) |

See also
  \eZ\Publish\Core\FieldType\Value

Reimplemented from eZ\Publish\Core\FieldType\Value.

Definition at line 161 of file Core/FieldType/Image/Value.php.

## ◆ fromString()

static eZ\Publish\Core\FieldType\Image\Value::fromString | ( |  | $path | ) |
| static

Creates a value only from a file path.

Parameters

  string | $path |

Exceptions

Definition at line 129 of file Core/FieldType/Image/Value.php.

## ◆ getFileSize()

eZ\Publish\Core\FieldType\Image\Value::getFileSize | ( |  | ) |

Returns the image file size in byte.

Returns
  int

Definition at line 153 of file Core/FieldType/Image/Value.php.

## ◆ isAlternativeTextEmpty()

eZ\Publish\Core\FieldType\Image\Value::isAlternativeTextEmpty | ( |  | ) |

Definition at line 113 of file Core/FieldType/Image/Value.php.

## Member Data Documentation

## ◆ $alternativeText

eZ\Publish\Core\FieldType\Image\Value::$alternativeText

Definition at line 38 of file Core/FieldType/Image/Value.php.

## ◆ $fileName

eZ\Publish\Core\FieldType\Image\Value::$fileName

Definition at line 47 of file Core/FieldType/Image/Value.php.

## ◆ $fileSize

eZ\Publish\Core\FieldType\Image\Value::$fileSize

Definition at line 56 of file Core/FieldType/Image/Value.php.

## ◆ $height

eZ\Publish\Core\FieldType\Image\Value::$height

Definition at line 91 of file Core/FieldType/Image/Value.php.

## ◆ $id

eZ\Publish\Core\FieldType\Image\Value::$id

Definition at line 31 of file Core/FieldType/Image/Value.php.

## ◆ $imageId

eZ\Publish\Core\FieldType\Image\Value::$imageId

Definition at line 70 of file Core/FieldType/Image/Value.php.

## ◆ $inputUri

eZ\Publish\Core\FieldType\Image\Value::$inputUri

Definition at line 77 of file Core/FieldType/Image/Value.php.

## ◆ $uri

eZ\Publish\Core\FieldType\Image\Value::$uri

Definition at line 63 of file Core/FieldType/Image/Value.php.

## ◆ $width

eZ\Publish\Core\FieldType\Image\Value::$width

Definition at line 84 of file Core/FieldType/Image/Value.php.

The documentation for this class was generated from the following file:

- Core/FieldType/Image/Value.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.